#
# spec file for package perl-File-Slurper
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name File-Slurper
Name:           perl-File-Slurper
Version:        0.014
Release:        1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Simple, sane and efficient module to slurp a file
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Warnings)
Recommends:     perl(PerlIO::utf8_strict)
%{perl_requires}

%description
This module provides functions for fast and correct slurping and spewing.
All functions are optionally exported. All functions throw exceptions on
errors, write functions don't return any meaningful value.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sat Dec 17 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.014
  see /usr/share/doc/packages/perl-File-Slurper/Changes
  0.014     2022-12-16 16:08:16+01:00 Europe/Amsterdam
  - Always return an empty file as an empty string
* Sun Dec 26 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.013
  see /usr/share/doc/packages/perl-File-Slurper/Changes
  0.013     2021-12-25 10:09:17+01:00 Europe/Amsterdam
    Always split on newlines in read_lines
* Wed Feb 21 2018 coolo@suse.com
- updated to 0.012
  see /usr/share/doc/packages/perl-File-Slurper/Changes
  0.012     2018-02-20 21:53:30+01:00 Europe/Amsterdam
    Depend on Encode 2.11 for STOP_AT_PARTIAL
* Tue Dec 19 2017 coolo@suse.com
- updated to 0.011
  see /usr/share/doc/packages/perl-File-Slurper/Changes
  0.011     2017-12-18 21:23:24+01:00 Europe/Amsterdam
    Correctly set value of $PerlIO::encoding::fallback
    Don't skip latin-1 checking
* Mon Sep 18 2017 coolo@suse.com
- updated to 0.010
  see /usr/share/doc/packages/perl-File-Slurper/Changes
  0.010     2017-09-17 22:09:05+02:00 Europe/Amsterdam
    Recognize "latin-1" as iso-8859-1
* Sat Aug  6 2016 coolo@suse.com
- updated to 0.009
  see /usr/share/doc/packages/perl-File-Slurper/Changes
  0.009     2016-08-05 18:26:58+02:00 Europe/Amsterdam
    Load PerlIO::encoding before localizing $PerlIO::encoding::fallback
* Tue Nov 17 2015 coolo@suse.com
- initial package 0.008
  * created by cpanspec 1.78.08
